Subject: Re: "headers" in SIP-URL

From: Sean Olson <[email-masked]>
Date: Tue, 14 Mar 2000 13:20:44 -0600 (CST)

> Shail Bhatnagar wrote:
> > 
> > A look at the syntax of SIP-URL shows that headers can be defined in a SIP-URL
> > itself. However, the spec also says they MUST NOT be present in From/To and
> > Request-URI. Does it mean they can be present in Contact header (the addr-spec
> > portion of Contact) ??
> > I don't see any good reason for headers being allowed inside a SIP-URL and I
> > would be curious to know how many implementations actually introduce it in
> > SIP-URL ( probably the Contact header) and rely on it.
> 
> In a redirect, you can play tricks such as adding new headers to the
> next, redirected call. (For example, the redirect server could provide
> the password for another call.) While I doubt that it is used right now,
> it seems like a feature worth having around.
> 
> > Shail
> 
> -- 
> Henning Schulzrinne   http://www.cs.columbia.edu/~hgs

The nice thing about the SIP-URL syntax is that is can represent everything you
need to know to establish a call to that person. This makes it a natural representation
for address books, v-card, etc. This also makes the SIP-URL fit naturally within
web pages for future enhanced browsers. 

I don't see a good reason to disallow the headers or any other attribute of the SIP-URL
in any header of the SIP message.  The Contact: header of a registration
or re-direct should definitely allow it for the reasons given above.

--
Sean Olson <[email-masked]>